API Guide Home (Online version only) |

# NetBssInfoType Struct Reference

## Detailed Description

Structure to hold BSS Info data.

Accessing the BSS scan info returned via the network interface via the following structure needs to be verified for each specific toolchain and compiler. It has been verified with the combination of ADS V1.2 and CW 8.3. The data format has been done to be as toolchain/architecture/alignment independent as possible, however, if a different combination other than the one listed is used, the format must be verified. The macro's defined above can also be used to access the individual entities of the returned BSS scan data.

Definition at line 377 of file PalmWiFiCommon.h.

## Data Fields

- UInt32 validFlag
- UInt8 bssMacAddr [BSSINFO_MAC_ADDR_SIZE]
- UInt32 bssSsidLength
- UInt8 bssSsid [BSSINFO_SSID_SIZE]
- UInt32 bssWepEnabled
- Int32 bssRssi
- UInt32 bssNetworkType
- UInt32 bssBeaconPeriod
- UInt32 bssAtimWindow
- UInt32 bssDSFreq
- UInt32 bssHopPattern
- UInt32 bssHopSet
- UInt32 bssHopDwell
- UInt32 bssNetworkMode
- UInt8 bssSupportedRates [BSSINFO_SUPPORTED_RATES_SIZE]
- UInt32 bssChannelId
- Int32 bssANL

## Field Documentation

UInt32 validFlag

Definition at line 379 of file PalmWiFiCommon.h.

UInt8 bssMacAddr[BSSINFO_MAC_ADDR_SIZE]

Definition at line 380 of file PalmWiFiCommon.h.

UInt32 bssSsidLength

Definition at line 381 of file PalmWiFiCommon.h.

UInt8 bssSsid[BSSINFO_SSID_SIZE]

Definition at line 382 of file PalmWiFiCommon.h.

UInt32 bssWepEnabled

Definition at line 383 of file PalmWiFiCommon.h.

Int32 bssRssi

Definition at line 384 of file PalmWiFiCommon.h.

UInt32 bssNetworkType

Definition at line 385 of file PalmWiFiCommon.h.

UInt32 bssBeaconPeriod

Definition at line 386 of file PalmWiFiCommon.h.

UInt32 bssAtimWindow

Definition at line 387 of file PalmWiFiCommon.h.

UInt32 bssDSFreq

Definition at line 388 of file PalmWiFiCommon.h.

UInt32 bssHopPattern

Definition at line 389 of file PalmWiFiCommon.h.

UInt32 bssHopSet

Definition at line 390 of file PalmWiFiCommon.h.

UInt32 bssHopDwell

Definition at line 391 of file PalmWiFiCommon.h.

UInt32 bssNetworkMode

Definition at line 392 of file PalmWiFiCommon.h.

UInt8 bssSupportedRates[BSSINFO_SUPPORTED_RATES_SIZE]

Definition at line 393 of file PalmWiFiCommon.h.

UInt32 bssChannelId

Definition at line 394 of file PalmWiFiCommon.h.

Int32 bssANL

Definition at line 395 of file PalmWiFiCommon.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:14 2008 for Palm API Guide